Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 185588 - New package: bulletss (bulletML for D)
Summary: New package: bulletss (bulletML for D)
Status: RESOLVED LATER
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Gentoo Games
URL: http://www.asahi-net.or.jp/~cs8k-cyu/...
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks: 118209 185576 185578 185580 185583 185585 185587
  Show dependency tree
 
Reported: 2007-07-16 19:21 UTC by frostwork
Modified: 2009-04-08 09:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-libs/libbulletml-d (libbulletml-d.tar.gz,1.70 KB, text/plain)
2007-07-16 19:21 UTC, frostwork
Details
dev-libs/libbulletml-d/libbulletml-d-0.0.1.ebuild (libbulletml-d-0.0.1.ebuild,912 bytes, text/plain)
2007-07-16 19:52 UTC, frostwork
Details
dev-libs/libbulletml-d/files/fix.diff (fix.diff,226 bytes, text/plain)
2007-07-16 19:52 UTC, frostwork
Details
dev-libs/bulletss/bulletss-0.0.1.ebuild (bulletss-0.0.1.ebuild,902 bytes, text/plain)
2007-07-21 19:56 UTC, frostwork
Details
dev-libs/bulletss/bulletss-0.0.1.ebuild (bulletss-0.0.1.ebuild,918 bytes, text/plain)
2007-10-28 17:45 UTC, frostwork
Details
dev-libs/bulletss/bulletss-0.0.1.ebuild (bulletss-0.0.1.ebuild,944 bytes, text/plain)
2009-02-11 12:09 UTC, frostwork
Details

Note You need to log in before you can comment on or make changes to this bug.
Description frostwork 2007-07-16 19:21:09 UTC
original ebuild found on 
http://www.atzm.org/gentoo/ebuilds1.html
fixed a bit to build correctly
required for several d-sourced games
Comment 1 frostwork 2007-07-16 19:21:58 UTC
Created attachment 125087 [details]
dev-libs/libbulletml-d
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2007-07-16 19:24:30 UTC
Comment on attachment 125087 [details]
dev-libs/libbulletml-d

We don't want any tarballs (the less marked at text/plain MIME); attach plaintext ebuild. Ditto for all the rest of bugs.
Comment 4 Santiago M. Mola (RETIRED) gentoo-dev 2007-07-16 19:42:13 UTC
Reopening. bulletML is needed for a few aba games.
Comment 5 frostwork 2007-07-16 19:52:13 UTC
Created attachment 125089 [details]
dev-libs/libbulletml-d/libbulletml-d-0.0.1.ebuild
Comment 6 frostwork 2007-07-16 19:52:38 UTC
Created attachment 125090 [details]
dev-libs/libbulletml-d/files/fix.diff
Comment 7 frostwork 2007-07-16 19:53:11 UTC
(In reply to comment #2)
> (From update of attachment 125087 [details] [edit])
> We don't want any tarballs (the less marked at text/plain MIME); attach
> plaintext ebuild. Ditto for all the rest of bugs. 
> 


sorry
Comment 8 Santiago M. Mola (RETIRED) gentoo-dev 2007-07-17 10:07:22 UTC
Provided archive is unversioned :(
This a no-go. We should provide a versioned tarball. I'd use a tarball called bulletss-0.tar.gz.

Note that libbulletml-d is not the name of this library, and it leads to confusion.
Comment 9 frostwork 2007-07-17 16:09:29 UTC
(In reply to comment #8)
> Provided archive is unversioned :(
> This a no-go. We should provide a versioned tarball. I'd use a tarball called
> bulletss-0.tar.gz.

True, but it seems the only package available around.
"http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/index_e.html" is not the same

> Note that libbulletml-d is not the name of this library, and it leads to
> confusion.

i used the name from the ebuild on http://www.atzm.org/gentoo/ebuilds1.html
and didn't think about it :( 


Comment 10 Santiago M. Mola (RETIRED) gentoo-dev 2007-07-17 16:15:09 UTC
(In reply to comment #9)
> True, but it seems the only package available around.
> "http://www.asahi-net.or.jp/~cs8k-cyu/bulletml/index_e.html" is not the same

Don't worry about it, we'll mirror a modified tarball if it gets into Portage.

Comment 11 frostwork 2007-07-21 19:56:00 UTC
Created attachment 125591 [details]
dev-libs/bulletss/bulletss-0.0.1.ebuild

renamed the ebuild
Comment 12 Le retraité 2007-10-28 12:53:50 UTC
bulletss should depend on app-arch/unzip
Comment 13 frostwork 2007-10-28 17:45:14 UTC
Created attachment 134552 [details]
dev-libs/bulletss/bulletss-0.0.1.ebuild

Fixed, depends on app-arch/unzip now.
Thanks for pointing me onto that!
Comment 14 Mr. Bones. (RETIRED) gentoo-dev 2007-11-10 03:50:20 UTC
should it really be libbulletml from http://shinh.skr.jp/libbulletml/?
Comment 15 frostwork 2007-11-10 08:26:36 UTC
(In reply to comment #14)
> should it really be libbulletml from http://shinh.skr.jp/libbulletml/?
> 

http://shinh.skr.jp/libbulletml/ is part of http://shinh.skr.jp/bulletss/.
afair libbulletml didn't work (would be nice as it is already in portage :) ),
but i'll recheck this within the next days
Comment 16 frostwork 2007-11-10 08:47:08 UTC
> but i'll recheck this within the next days

just tried with tumikifighters - linking against 
libbulletml from portage's libbulletml doesn't work, so
bulletss is required

Comment 17 frostwork 2009-02-11 12:09:35 UTC
Created attachment 181638 [details]
dev-libs/bulletss/bulletss-0.0.1.ebuild

cosmetics for repoman
Comment 18 frostwork 2009-04-08 09:35:17 UTC
used for games which require unsupported gdc compiler